curl --request GET \
--url https://api.lightspark.com/grid/2025-10-13/discoveries \
--header 'Authorization: Basic <encoded-value>'{
"data": [
{
"bankName": "BDO Unibank",
"displayName": "BDO Unibank",
"country": "PH",
"currency": "PHP"
},
{
"bankName": "BPI",
"displayName": "Bank of the Philippine Islands",
"country": "PH",
"currency": "PHP"
}
]
}Retrieve available payment institution names for a given country and currency. Use this endpoint to look up supported banks and payment providers for a specific corridor. If no country and currency parameter are provided, all payment institutions will be returned
The bankName field in each result is the value to pass as bankName when
creating an external account via POST /customers/external-accounts.
curl --request GET \
--url https://api.lightspark.com/grid/2025-10-13/discoveries \
--header 'Authorization: Basic <encoded-value>'{
"data": [
{
"bankName": "BDO Unibank",
"displayName": "BDO Unibank",
"country": "PH",
"currency": "PHP"
},
{
"bankName": "BPI",
"displayName": "Bank of the Philippine Islands",
"country": "PH",
"currency": "PHP"
}
]
}API token authentication using format <api token id>:<api client secret>
ISO 3166-1 alpha-2 country code (e.g. PH)
ISO 4217 currency code (e.g. PHP)
Successful operation
List of payment rails matching the filter criteria
Show child attributes
Was this page helpful?